Update Credentials
curl --request PUT \
--url http://{host}:{port}/{contextPath}/user/{id}/credentials \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "s3cr3t",
"authenticatedUserPassword": "demo"
}
'import requests
url = "http://{host}:{port}/{contextPath}/user/{id}/credentials"
payload = {
"password": "s3cr3t",
"authenticatedUserPassword": "demo"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 's3cr3t', authenticatedUserPassword: 'demo'})
};
fetch('http://{host}:{port}/{contextPath}/user/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}用户
更新凭据
Updates a user’s credentials (password)
PUT
/
user
/
{id}
/
credentials
Update Credentials
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the user to be updated.
Body
application/json
Response
Request successful. This method returns no content.
⌘I